@import "src/assets/styles/main";

#home-page {
  overflow: hidden;
}

.home-intro {
  @include media-breakpoint-up(sm) {
    position: relative;
    @include calc(min-height, '100vh - 60px');
    @include flex();
    @include align-items(flex-end);
  }
  .intro-image {
    @include media-breakpoint-up(sm) {
      position: absolute;
      left: 0;
      top: 0;
    }
  }
  .intro-block {
    @include media-breakpoint-up(sm) {
      position: relative;
      margin-bottom: 40px;
      min-height: 280px;
      padding-left: 32px;
      &:before {
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 1px;
        background-color: #8A8A8A;
      }
    }
    @include media-breakpoint-down(sm) {
      margin-bottom: 32px;
    }
  }
  h2 {
    font-size: 58px;
    line-height: 64px;
    margin-bottom: 64px;
    @include media-breakpoint-down(sm) {
      font-size: 29px;
      line-height: 36px;
      margin-bottom: 32px;
    }
    @include media-breakpoint-up(xl) {
      white-space: nowrap;
    }
  }
  h3 {
    color: #474747;
    font-weight: 400;
    font-size: 30px;
    line-height: 38px;
    margin-bottom: 16px;
    @include media-breakpoint-down(sm) {
      color: rgba(71,71,71,0.5);
      font-size: 22px;
      line-height: 28px;
      margin-bottom: 24px;
    }
  }
  a {
    color: $primary;
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
  }
}

.home-insight {
  background-color: $primary;
  padding-top: 186px;
  @include media-breakpoint-down(sm) {
    padding: 65px 0 88px;
  }
  .insight-block {
    @include media-breakpoint-up(sm) {
      position: relative;
      min-height: 280px;
      padding-left: 32px;
      &:before {
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 1px;
        background-color: #FAFAFA;
      }
    }
  }
  .insight-image {
    @include media-breakpoint-down(sm) {
      margin-bottom: 65px;
    }
  }
  h2, h4, p, a {
    color: #FAFAFA;
  }
  h2 {
    font-size: 73px;
    line-height: 82px;
    margin: 32px 0 104px;
    @include media-breakpoint-up(xl) {
      white-space: nowrap;
    }
    @include media-breakpoint-down(sm) {
      font-size: 42px;
      line-height: 48px;
      margin-bottom: 3rem;
    }
  }
  h4 {
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
  }
  p {
    margin-bottom: 2rem;
    @include media-breakpoint-down(sm) {
      margin-bottom: 3rem;
    }
  }
  a {
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    &:hover {
      color: white;
    }
  }
}

.home-fund {
  padding: 184px 0 48px;
  @include media-breakpoint-down(sm) {
    padding: 65px 0 90px;
  }
  .fund-number {
    text-align: right;
    @include media-breakpoint-up(sm) {
      padding-right: 68px;
    }
    @include media-breakpoint-down(sm) {
      margin-bottom: 40px;
    }
  }
  .nav-item {
    cursor: pointer;
    @include media-breakpoint-up(sm) {
      margin-bottom: 48px;
    }
    @include media-breakpoint-down(sm) {
      margin-right: 24px;
    }
  }
  .nav-link {
    color: rgba(0,164,184,0.1);
    background-color: transparent !important;
    font-weight: 400;
    font-size: 150px;
    line-height: 132px;
    &.active {
      color: $primary !important;
    }
    @include media-breakpoint-down(sm) {
      font-size: 52px;
      line-height: 60px;
      padding: 0;
    }
  }
  h2 {
    font-size: 73px;
    line-height: 82px;
    margin-bottom: 63px;
    @include media-breakpoint-down(sm) {
      font-size: 42px;
      line-height: 48px;
    }
  }
  h3 {
    color: $primary;
    font-size: 40px;
    line-height: 48px;
    @include media-breakpoint-down(sm) {
      font-size: 22px;
      line-height: 28px;
    }
  }
  figure {
    @include media-breakpoint-up(sm) {
      margin: 40px 0 85px;
    }
    @include media-breakpoint-down(sm) {
      margin-bottom: 56px;
    }
    img {
      @include media-breakpoint-down(sm) {
        width: 100%;
      }
    }
  }
  .fund-statistic {
    width: 300px;
    border-top: 1px solid #8A8A8A;
    margin-bottom: 56px;
    @include media-breakpoint-down(sm) {
      margin: 24px 0;
    }
    .statistic-item {
      padding: 16px 0;
      border-bottom: 1px solid #8A8A8A;
      span {
        color: #8A8A8A;
        margin-left: 20px;
      }
    }
  }
}

.home-invest {
  position: relative;
  background: #DFF8F8 url('../../assets/images/shape/3.svg') no-repeat left top / 280px auto;
  padding: 180px 0 200px;
  overflow: hidden;
  @include media-breakpoint-down(sm) {
    background: #DFF8F8 url('../../assets/images/shape/3.svg') no-repeat left bottom / 125px auto;
    padding: 80px 0 200px;
  }
  h2 {
    font-size: 73px;
    line-height: 82px;
    @include media-breakpoint-up(sm) {
      padding-top: 20px;
    }
    @include media-breakpoint-down(sm) {
      font-size: 42px;
      line-height: 48px;
      margin-bottom: 64px;
    }
    span {
      color: $primary;
    }
  }
  ul.invest-list {
    li {
      position: relative;
      border-bottom: 1px solid #8A8A8A;
      a {
        display: block;
        padding: 24px 0;
        @include media-breakpoint-down(sm) {
          padding: 16px 0;
        }
      }
      span {
        font-size: 30px;
        line-height: 38px;
        color: #1A1A1A;
        @include media-breakpoint-down(sm) {
          font-size: 22px;
          line-height: 28px;
        }
      }
      svg {
        position: absolute;
        top: 50%;
        right: 0;
        @include translate(0, -50%);
        @include media-breakpoint-down(sm) {
          width: 24px;
        }
      }
    }
  }
}
